@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('doctorrequest::doctorrequest.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('doctorrequest::doctorrequest.names') !!}</small>
@stop

@section('title')
{!! trans('doctorrequest::doctorrequest.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('doctorrequest::doctorrequest.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='doctorrequest-doctorrequest-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="doctorrequest-doctorrequest-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('doctorrequest::doctorrequest.label.patient_id')!!}</th>
                    <th>{!! trans('doctorrequest::doctorrequest.label.doctor_id')!!}</th>
                    <th>{!! trans('doctorrequest::doctorrequest.label.profile_id')!!}</th>
                    <th>{!! trans('doctorrequest::doctorrequest.label.status')!!}</th>
                    <th>{!! trans('doctorrequest::doctorrequest.label.department_id')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#doctorrequest-doctorrequest-entry', '{!!URL::to('admin/doctorrequest/doctorrequest/0')!!}');
    oTable = $('#doctorrequest-doctorrequest-list').dataTable( {
        "ajax": '{!! URL::to('/admin/doctorrequest/doctorrequest') !!}',
        "columns": [
            {data :'patient_id'},
                    {data :'doctor_id'},
                    {data :'profile_id'},
                    {data :'status'},
                    {data :'department_id'},
        ],
        "pageLength": 50
    });

    $('#doctorrequest-doctorrequest-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#doctorrequest-doctorrequest-list').DataTable().row( this ).data();

        $('#doctorrequest-doctorrequest-entry').load('{!!URL::to('admin/doctorrequest/doctorrequest')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

