<?php

namespace Litecms\Doctorrequest\Http\Controllers;

use App\Http\Controllers\PublicWebController as PublicController;
use Litecms\Doctorrequest\Interfaces\DoctorrequestRepositoryInterface;

class DoctorrequestPublicWebController extends PublicController
{
    /**
     * Constructor.
     *
     * @param type \Litecms\Doctorrequest\Interfaces\DoctorrequestRepositoryInterface $doctorrequest
     *
     * @return type
     */
    public function __construct(DoctorrequestRepositoryInterface $doctorrequest)
    {
        $this->repository = $doctorrequest;
        parent::__construct();
    }

    /**
     * Show doctorrequest's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $doctorrequests = $this->repository->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('doctorrequest::public.doctorrequest.index', compact('doctorrequests'))->render();
    }

    /**
     * Show doctorrequest.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $doctorrequest = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('doctorrequest::public.doctorrequest.show', compact('doctorrequest'))->render();
    }
}
