<?php

namespace Litecms\Doctorrequest\Http\Requests;

use App\Http\Requests\Request as FormRequest;
use Illuminate\Http\Request;

class DoctorrequestUserApiRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(Request $request)
    {
        $doctorrequest = $this->route('doctorrequest');
        if (is_null($doctorrequest)) {
            // Determine if the user is authorized to access doctorrequest module,
            return $request->user('api')->canDo('doctorrequest.doctorrequest.view');
        }

        if ($request->isMethod('POST') || $request->is('*/create')) {
            // Determine if the user is authorized to create an entry,
            return $request->user('api')->can('create', $doctorrequest);
        }

        if ($request->isMethod('PUT') || $request->isMethod('PATCH') || $request->is('*/edit')) {
            // Determine if the user is authorized to update an entry,
            return $request->user('api')->can('update', $doctorrequest);
        }

        if ($request->isMethod('DELETE')) {
            // Determine if the user is authorized to delete an entry,
            return $request->user('api')->can('delete', $doctorrequest);
        }

        // Determine if the user is authorized to view the module.
        return $request->user('api')->can('view', $doctorrequest);

    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {
        if ($request->isMethod('POST')) {
            // validation rule for create request.
            return [
                
            ];
        }
        
        if ($request->isMethod('PUT') || $request->isMethod('PATCH')) {
            // Validation rule for update request.
            return [
                
            ];
        }

        // Default validation rule.
        return [

        ];
    }
}
